Subject: Re: bug#8308: 23.3; Use utf-8 for writing abbrev file

From: Stefan Monnier <[email-masked]>
Date: Tue, 22 Mar 2011 14:27:04 -0400

>> (unibyte-string 129) returns a string containing an unencodable char.
>> So you can test with it.
> I still cannot get any byte into the abbrevs. For example,
> (unibyte-string 129) returns byte \201 but when it is written to abbrev
> file by write-abbrev-file, it is changed to \ 2 0 1, so utf-8 appear
> sufficient even for bytes.

Good.  In any case your unencodable-foo test would trigger if there were
eight-bit-chars in there, so it works correctly in this respect.
Please install your patch.

        Stefan